EZ_GetFileSelectorWidgetComponents(3)

NAME
EZ_GetFileSelectorWidgetComponents - retrieve the components of a file selector

SYNOPSIS
#include <EZ.h>

void EZ_GetFileSelectorWidgetComponents( EZ_Widget *fselector
       EZ_Widget **pentry_ret, EZ_Widget **sentry_ret,
       EZ_Widget **dlistbox_ret, EZ_Widget **flistbox_ret,
       EZ_Widget **ok_btn_ret, EZ_Widget **filter_btn_ret,
       EZ_Widget **cancel_btn_ret)

ARGUMENTS
fselector Specifies a file selector.

pentry_ret Specifies the return for the pattern entry.

sentry_ret Specifies the return for the selection entry.

dlistbox_ret Specifies the return for the directory listbox.

flistbox_ret Specifies the return for the file listbox.

ok_btn_ret Specifies the return for the ok button.

filter_btn_ret Specifies the return for the filter button.

cancel_btn_ret Specifies the return for the cancel button.

DESCRIPTION

EZ_GetFileSelectorWidgetComponents returns the components of a file selector.

SEE ALSO
EZ_GetFancyListBoxWidgetComponents(3), EZ_GetOptionalEntryWidgetComponents(3) EZ_GetListBoxWidgetComponents(3), EZ_GetWorkAreaWidgetComponents(3), EZ_GetTextWidgetComponents(3), EZ_GetListTreeWidgetComponents(3)